$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-92efaf0bba4c854705d3c4e1305b53e474401548/rpcs3-v0.0.12-10943-92efaf0b_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'a80ce93fb9250bc448f6e03e1379e18ff90649b6d7a7ef013920d6b6760907e6'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
